=== makefiles/Makefile ===
GEOM = ..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makedefs.SUBDIRS

all rm_libs rm_depend install installh depend:
	@:

clobber:	clean rm_libs rm_depend

clean:
	-rm -f ${DIRT}

distclean:
	-rm -f ${DIRT} ${DISTDIRT}

include ${GEOM}/makefiles/Makerules.common
