=== src/bin/Makefile ===
GEOM = ../..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makerules.src
