=== src/bin/NDview_x/Makefile ===
GEOM = ../../..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs

include ${GEOM}/makefiles/Makerules.TKmodulesrc
include ${GEOM}/makefiles/Makerules.allsrc

install:	install_files

install_files:
	${INSTALL} -O -v -F ${GEOM}/data/NDview ${ND_SCRIPTS}
	${INSTALL} -O -v -F ${GEOM}/data/NDview ${ND_GEOM}
	${INSTALL} -O -v -F ${GEOM}/data/NDview ${ND_TEXT}
