=== src/bin/animate_next/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = animate

PROJECTVERSION = 1.1
LANGUAGE = English

LOCAL_RESOURCES = animate.nib

CLASSES = Controller.m

HFILES = Controller.h

MFILES = animate_main.m

OTHERSRCS = Makefile


MAKEFILEDIR = /NextDeveloper/Makefiles/app
INSTALLDIR = $(MODULEDIR)
INSTALLFLAGS = -c -s -m 755
SOURCEMODE = 444

ICONSECTIONS =	-sectcreate __ICON app /usr/lib/NextStep/Workspace.app/application.tiff

LIBS = -lMedia_s -lNeXT_s
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


-include Makefile.preamble

include $(MAKEFILEDIR)/app.make

-include Makefile.postamble

-include Makefile.dependencies
