=== src/bin/cplxview/Makefile ===
GEOM = ../../..
include ${GEOM}/makefiles/Makedefs.global
include Makedefs
include ${GEOM}/makefiles/Makerules.FORMSmodulesrc

install:	install_help

install_help:
	${INSTALL} -O -v -F ${GEOM}/data/NDview/cplxview/text cplxhelp.txt
