## geomview 1.9.5

=== debian/changelog ===
geomview (1.9.5-6) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Fix team name.

  [ Adrian Bunk ]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    Closes: #1096696.
  * Fix the build with 64-bit time_t on 32-bit instead of restricting
    the architectures.
  * Don't hardcode the build awk in gvclock. Closes: #1116397.

  [ Santiago Vila ]
  * Add Depends on sensible-utils, used by /usr/libexec/geomview/gvx.
  * Convert watch file to version 5 format.
  * Fix clean target. Closes: #1044804.
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Sep 2025 22:50:00 +0200

geomview (1.9.5-5) unstable; urgency=medium

  [ Steve Robbins ]
  * [be13c14] Install desktop icon
  * [594c6ac] Build on 64bits only.  Closes: #1088201.
  * [e2e9dcd] Fixes to remove lintian warnings
  * [740b0f9] remove executable bit

 -- Steve M. Robbins <smr@debian.org>  Mon, 25 Nov 2024 00:20:59 -0600

geomview (1.9.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062099

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:56:54 +0000

geomview (1.9.5-4) unstable; urgency=medium

  [ Steve Robbins ]
  * [3a43aa2] Remove geomview dependency on install-info.  Closes: #1013692
  * [8417b34] Update debhelper to compat level 13.  (Prep for upcoming patch to
    configure.ac)
  * [cec8859] Add patch from Helmut Grohne.  Closes: #1001124

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Oct 2022 18:33:51 -0500

geomview (1.9.5-3) unstable; urgency=medium

  [ Steven Robbins ]
  * Update texlive dependencies.  Add texlive-font-utils for epstopdf.
    Closes: #941523

 -- Steve M. Robbins <smr@debian.org>  Tue, 15 Oct 2019 23:15:12 -0500

geomview (1.9.5-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * source/format: 3.0 (quilt)
  * Drop menu file
  * Switch from cdbs to dh
  * Drop tetex-bin alternative from Build-Depends
  * Standards-Version: 4.1.3
  * hardening=+all
  * Do not compress PDF files
    Closes: #830301

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 09:42:20 +0100

geomview (1.9.5-1) unstable; urgency=medium

  * New upstream version.  Closes: #782017.
    - patches/01_glob-redirect.diff: Remove.  Applied upstream.
    - patches/02_info-nofigs.diff: Remove.  No longer applies.
    - patches/04_sprintf-string-literal.patch: Remove. Fixed upstream.

  * control, rules: use autoreconf to support newer architectures.  Closes: #744579, #765211.

  * patches/10_link-gvx-with-opengl.patch: New.  Link with -GL.

  * README.Debian: Document environment variables for HTML and PDF viewers.  Closes: #782346.

  * rules: configure with evince as fall-back PDF viewer.  Closes: #567772.

 -- Steve M. Robbins <smr@debian.org>  Sun, 07 Jun 2015 22:25:09 -0500

geomview (1.9.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * control: Add missing dependency for the dev package. (Closes: #715082)
  * control: Depend on alternative pdf-viewer. (Closes: #567772)
  * new patch 05_math2oogl_mayhem.patch (Closes: #716299)
  * new patch 06_oogl2rib_mayhem.patch (Closes: #716186)
  * new patch 07_oogl2vrml_mayhem.patch (Closes: #716183)
  * new patch 08_oogl2vrml2_mayhem.patch (Closes: #716180)
  * new patch 09_anytoucd_mayhem.patch (Closes: #715637)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 11 Aug 2013 14:26:47 +0200

geomview (1.9.4-4) unstable; urgency=low

  * control: Change lestif --> motif.  Closes: #714659.

  * watch: New, thanks Daniel Leidert.  Closes: #676986.

 -- Steve M. Robbins <smr@debian.org>  Mon, 01 Jul 2013 13:42:56 -0500

geomview (1.9.4-3) unstable; urgency=low

  * rules: Disable strict-aliasing.  Empty dependency_libs in .la file.

  * patches/04_sprintf-string-literal.patch: New.  Ensure format strings
    are literals.  Closes: #643382.

  * geomview.menu:
  * geomview.xpm: New.
  * Install menu and associated icon.

  * geomview.desktop: Fix categories, remove encoding.  Set icon to
    geomview.xpm path.  Closes: #466995.

 -- Steve M. Robbins <smr@debian.org>  Tue, 11 Oct 2011 23:07:15 -0500

geomview (1.9.4-2) unstable; urgency=low

  * geomview.desktop: Add category Education.
  * menu: Change to section "Applications/Science/Mathematics".  Thanks
    Petter Reinholdtsen.  Closes: #567625.

  * rules: Remove usage of obsolete dh_desktop.

  * control: Replace build-dep xutils --> xutils-dev (for imake).  Remove
    homepage from description.  Add dep on "dpkg (>= 1.15.4) |
    install-info" to geomview.  Set Standards-Version to 3.8.3.0.

  * doc-base: Change to section "Science/Mathematics".  Remove nonstandard
    texi files.

  * patches/03_hvectext-hashbang.diff: New.  Update script beginning to
    use standard "#!/usr/bin/perl".

 -- Steve M. Robbins <smr@debian.org>  Sat, 30 Jan 2010 10:56:50 -0600

geomview (1.9.4-1) unstable; urgency=low

  * New upstream.  Closes: #441431.

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Sep 2007 21:36:30 -0500

geomview (1.9.3-1) unstable; urgency=low

  * New upstream.  Closes: #395474, #432044.
    - Remove all debian/patches.
    - HTML document displays images properly.  Closes: #402040.

  * debian/control: New packages libgeomview-1.9.3, libgeomview-dev,
  required to build geomview modules.  Update standards version to
  3.7.2.2.

  * debian/patches/01_glob-redirect.diff: New.  Application segfaults on
    startup with 2>&- redirect.  Change to 2>&1.

  * debian/patches/02_info-nofigs.diff: New.  Don't install PNG figures
    into info dir.

 -- Steve M. Robbins <smr@debian.org>  Sat, 01 Sep 2007 00:17:08 -0500

geomview (1.8.1-16) unstable; urgency=low

  * debian/rules: Switch to cdbs.  Add -fno-strict-aliasing because the
    build emits many "dereferencing type-punned pointer will break
    strict-aliasing rules" warnings.

  * Move all patches to source into debian/patches.


