=== debian/control ===
Source: geomview
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Section: math
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               dh-exec,
               bison,
               flex,
               zlib1g-dev,
               libmotif-dev,
               libgl-dev,
               freeglut3-dev,
               texlive-latex-base,
               xutils-dev,
               texinfo,
               texlive-plain-generic,
               texlive-fonts-recommended,
               texlive-font-utils
Build-Conflicts: libutahglx-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/geomview
Vcs-Git: https://salsa.debian.org/science-team/geomview.git
Homepage: http://www.geomview.org/

Package: geomview
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         sensible-utils
Recommends: evince | pdf-viewer
Description: interactive geometry viewing program
 Geomview is interactive geometry software which is
 particularly appropriate for mathematics research and education.
 In particular, geomview can display things in hyperbolic and
 spherical space as well as Euclidean space.
 .
 Geomview allows multiple independently controllable objects and
 cameras.  It provides interactive control for motion, appearances
 (including lighting, shading, and materials), picking on an
 object, edge or vertex level, snapshots in SGI image file or
 Renderman RIB format, and adding or deleting objects is provided
 through direct mouse manipulation, control panels, and keyboard
 shortcuts.  External programs can drive desired aspects of the
 viewer (such as continually loading changing geometry or
 controlling the motion of certain objects) while allowing
 interactive control of everything else.

Package: libgeomview-1.9.5t64
Provides: ${t64:Provides}
Replaces: libgeomview-1.9.5
Breaks: libgeomview-1.9.5 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: geomview library runtime
 Geomview is interactive geometry software which is
 particularly appropriate for mathematics research and education.
 .
 OOGL is the Object Oriented Graphics Library, upon which Geomview is
 built.  This package provides the run-time OOGL library for geomview
 and its modules.

Package: libgeomview-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgeomview-1.9.5t64 (= ${binary:Version})
Description: geomview library development package
 Geomview is interactive geometry software which is
 particularly appropriate for mathematics research and education.
 .
 OOGL is the Object Oriented Graphics Library, upon which Geomview is
 built.  This package provides the development package for OOGL,
 required to build Geomview modules.
