=== debian/watch ===
Version: 5

Source: https://sf.net/@PACKAGE@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
